Issue 90370 - OpenOffice Improvement program
OpenOffice Improvement program
Status: ACCEPTED
Product: General
Classification: Code
Component: code
DEV300m16
Sun All
: P3 trivial (vote)
: ---
Assigned To: Mathias_Bauer
: usagetracking
Depends on: 94797 94798 102290 88653 94022 94025 94026 94029 94030 96082 96352 97340 97365 97391 97839 97841 98027 98143 98302 98401 98555 98558 98561 98562 98659 98736 98739 98741 98981 99729 100146 100928 101879
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 16:19 UTC by bjoern.michaelsen
Modified: 2013-01-29 21:54 UTC (History)
11 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description bjoern.michaelsen 2008-06-04 16:19:10 UTC
OpenOffice.org Improvement Program an extension that collects data about how
OpenOffice.org is used. This information is used to better understand how people
use OpenOffice.org.
Comment 1 bjoern.michaelsen 2008-06-04 16:21:32 UTC
depends on 88653
Comment 3 Olaf Felka 2008-09-18 10:46:52 UTC
OF: Added issue 94022
Comment 4 Olaf Felka 2008-09-18 11:29:10 UTC
OF: Added issue 94025
Comment 5 Olaf Felka 2008-09-18 11:54:35 UTC
OF: Added issue 94026
Comment 6 Olaf Felka 2008-09-18 12:44:40 UTC
OF: Added issue 94029
Comment 7 Olaf Felka 2008-09-18 12:52:38 UTC
OF: Added issue 94030
Comment 8 bjoern.michaelsen 2009-01-08 13:12:34 UTC
NEW->STARTED: actually the implementation is mostly done
adding remaining issues
Comment 9 bjoern.michaelsen 2009-01-14 13:32:29 UTC
depending on 98027
Comment 10 bjoern.michaelsen 2009-01-16 13:18:53 UTC
depending on 98143
Comment 11 merschmann 2009-01-20 19:38:17 UTC
In issue 97101 it is written:"starting soffice with -nofirststartwizard
suppresses the the confirmation dialog."

Please state the default setting for this case.
Comment 12 bjoern.michaelsen 2009-01-21 11:02:58 UTC
"Please state the default setting for this case."
The invitation will be shown on the startup, if the user has not yet
rejected/accepted the invitation _and_ if the -nofirststartwizard switch was not
supplied on the commandline.
for more information see:
http://wiki.services.openoffice.org/wiki/User_Experience/OpenOffice.org_User_Feedback_Extension
Comment 13 andreschnabel 2009-01-22 18:30:55 UTC
the question rather should read
"What is the status of the extension, if the invitation is not yet shown".

Means: is the extension collecting and sending data, even if the the user did
not accept this? The Spec does not cover this case. 

From what I see, the core component (responsible for collecting the data) is
enabled by default. But we have no information about the default status of the
extension (responsible for senidng out the data). 
Comment 14 bjoern.michaelsen 2009-01-22 21:07:41 UTC
"is the extension collecting and sending data, even if the the user did
not accept this?"
No.
No data will be collected or send until the user accepted the invitation.
However, collecting of data only toggles on Office startup for performance
reasons, so if the user decides that he does not want to participate in the
program anymore, data still continues to be collected (locally) until office is
closed, but it is deleted and not uploaded on startup.
cc'ing cj for he might be better suited to answer questions about the intent of
the usage tracking.
Comment 15 bjoern.michaelsen 2009-01-28 11:36:45 UTC
depending on additional issues
Comment 16 bjoern.michaelsen 2009-06-10 11:29:08 UTC
add keyword usagetracking
Comment 17 hans_werner67 2011-02-03 12:08:39 UTC
pls. reassign or close issues.
Thx.